﻿Public Class Form5
    Dim Atom1, Atom2 As Integer

    Private Sub Form5_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Me.Left = Form1.Panel1.Left + Form1.PictureBox1.Left + Form1.PictureBox1.Width
        TextBox1.SelectAll()
        TextBox1.Focus()
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Atom1 = Val(TextBox1.Text)
        Atom2 = Val(TextBox2.Text)

    End Sub

    Private Sub Button5_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button5.Click
        ListBox1.Items.Clear()
        ListBox1.Items.Add("Atom1 = " & Atom1)
        ListBox1.Items.Add("Atom2 = " & Atom2)
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        'AlignX
        If AtomRead = False Then Exit Sub
        Call Form1.AlignX(Atom1, Atom2)
    End Sub

    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        'AlignY
        If AtomRead() = False Then Exit Sub
        Call Form1.AlignY(Atom1, Atom2)
    End Sub

    Private Sub Button4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button4.Click
        'AlignZ
        If AtomRead() = False Then Exit Sub
        Call Form1.AlignZ(Atom1, Atom2)
    End Sub

    Private Sub Button8_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button8.Click
        'Align and superpose X
        If AtomRead() = False Then Exit Sub
        'Call Form1.AlignX(Atom1, Atom2)
        Call Form1.Superpose("X", Atom1)
    End Sub

    Private Sub Button7_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button7.Click
        'Align and superpose Y
        If AtomRead() = False Then Exit Sub
        'Call Form1.AlignY(Atom1, Atom2)
        Call Form1.Superpose("Y", Atom1)
    End Sub

    Private Sub Button6_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button6.Click
        'Align and superpose Z
        If AtomRead() = False Then Exit Sub
        'Call Form1.AlignZ(Atom1, Atom2)
        Call Form1.Superpose("Z", Atom1)
    End Sub

    Function AtomRead() As Boolean
        AtomRead = False
        Atom1 = Val(TextBox1.Text)
        Atom2 = Val(TextBox2.Text)
        If Atom1 < 1 Or Atom1 > NAtom Then
            Dim msg = "Please enter valid atom numbers in the appropriate boxes!"
            MsgBox(msg, MsgBoxStyle.OkOnly, "Wrong Atom Numbers!")
            Atom1 = 0
            TextBox1.SelectAll()
            TextBox1.Focus()
            Exit Function
        ElseIf Atom2 < 1 Or Atom2 > NAtom Then
            Dim msg = "Please enter valid atom numbers in the appropriate boxes!"
            MsgBox(msg, MsgBoxStyle.OkOnly, "Wrong Atom Numbers!")
            Atom2 = 0
            TextBox2.SelectAll()
            TextBox2.Focus()
            Exit Function
        Else
            AtomRead = True
        End If
    End Function

    Private Sub TextBox1_KeyPress(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles TextBox1.KeyPress
        If Asc(e.KeyChar) = 13 Then
            Atom1 = Val(TextBox1.Text)
            If Atom1 < 1 Or Atom1 > NAtom Then
                Dim msg = "Please enter valid atom numbers in the appropriate boxes!"
                MsgBox(msg, MsgBoxStyle.OkOnly, "Wrong Atom Numbers!")
                Atom1 = 0
                TextBox1.SelectAll()
                TextBox1.Focus()
                Exit Sub
            End If
            TextBox2.SelectAll()
            TextBox2.Focus()
        End If
    End Sub

    Private Sub OK_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OK_Button.Click
        Me.Hide()
    End Sub

    Private Sub TextBox1_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TextBox1.TextChanged

    End Sub

    Private Sub TextBox2_KeyPress(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles TextBox2.KeyPress
        If Asc(e.KeyChar) = 13 Then
            Atom2 = Val(TextBox2.Text)
            If Atom2 < 1 Or Atom2 > NAtom Then
                Dim msg = "Please enter valid atom numbers in the appropriate boxes!"
                MsgBox(msg, MsgBoxStyle.OkOnly, "Wrong Atom Numbers!")
                Atom2 = 0
                TextBox2.SelectAll()
                TextBox2.Focus()
                Exit Sub
            End If
            Button2.Focus()
        End If
    End Sub

    Private Sub TextBox2_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TextBox2.TextChanged

    End Sub
End Class